[med-svn] [pirs] 01/02: Add test suite; gcContCvgBias works, pirs fails - probably path to Profiles needs to be adjusted

Andreas Tille tille at debian.org
Wed Aug 3 06:53:35 UTC 2016


This is an automated email from the git hooks/post-receive script.

tille pushed a commit to branch master
in repository pirs.

commit 1c038b0a374c8dc17a2675dee78070696ef09f77
Author: Andreas Tille <tille at debian.org>
Date:   Tue Aug 2 17:04:36 2016 +0200

    Add test suite; gcContCvgBias works, pirs fails - probably path to Profiles needs to be adjusted
---
 debian/tests/control            |  2 ++
 debian/tests/gcContCvgBias-test | 18 ++++++++++++++++++
 debian/tests/pirs-test          | 17 +++++++++++++++++
 3 files changed, 37 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..ecb98ac
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: gcContCvgBias-test, pirs-test
+Depends: @, pirs-examples
diff --git a/debian/tests/gcContCvgBias-test b/debian/tests/gcContCvgBias-test
new file mode 100644
index 0000000..c5caf33
--- /dev/null
+++ b/debian/tests/gcContCvgBias-test
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+
+pkg=pirs
+testbin=gcContCvgBias
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-${testbin}-test.XXXXXX)
+  # trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${pkg}/examples/${testbin}/* .
+# find . -type f -name "*.gz" -exec gunzip \{\} \;
+gc_coverage_bias -r gcdeptestref.fa.gz -o test -w 100,200 --gcdump --depwindump gcdeptest.depth.gz
+gc_coverage_bias_plot test_100.dat
+gc_coverage_bias_plot test_200.dat
+ls -l test*
diff --git a/debian/tests/pirs-test b/debian/tests/pirs-test
new file mode 100644
index 0000000..38832e1
--- /dev/null
+++ b/debian/tests/pirs-test
@@ -0,0 +1,17 @@
+#!/bin/sh -e
+
+pkg=pirs
+testbin=pirs
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-${testbin}-test.XXXXXX)
+  # trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${pkg}/examples/${testbin}/* .
+find . -type f -name "*.gz" -exec gunzip \{\} \;
+pirs diploid -i ref_seq.fa -s 0.001 -a 2 -d 0.0001 -v 0.000001 -c 1 -o ref22 >SimDiploid.out 2>SimDiploid.err
+pirs simulate -i ref_seq.fa  -M 1 -m 800 -l 100 -x 3 -v 40 >SimReads.out 2>SimReads.err
+pirs simulate -E 1 -o EAMSS2 -e 0.01 -i ref_seq.fa -I ref22.snp.indel.inversion.fa.gz -M 1 -m 800 -l 90 -x 3 -v 40 >SimReadsEAMSS2.out 2>SimReadsEAMSS2.err

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/pirs.git



More information about the debian-med-commit mailing list